"use strict";

const deepmerge = require("deepmerge");
const isPlainObject = require("is-plain-object");

module.exports = function loadPresets(presets, customConfiguration) {
	let config = deepmerge.all([customConfiguration].concat(presets), {
		isMergeableObject: function (obj) {
			return (isPlainObject(obj) || Array.isArray(obj));
		}
	});

	return config;
};
